
PKIDIR="/etc/pki/ovirt-engine"
USRDIR="/usr/share/ovirt-engine"
BINDIR="${USRDIR}/bin"

die() {
	local m="$1"
	echo "$m" >&2
	exit 1
}

common_backup() {
	local time="$(date +"%Y%m%d%H%M%S")"

	while [ -n "$1" ]; do
		local f="$1"
		shift
		if [ -f "${f}" ]; then
			cp -a "${f}" "${f}.${time}" || \
				die "Failed to backup ${f}"
		fi
	done
}

common_restore_perms() {
	local pkidir="$1"

	# openssl always reset ownership
	# of these files, so we have to reset
	# our defaults
	chown --reference="${pkidir}" "${pkidir}"/serial.txt* "${pkidir}"/database.txt* "${pkidir}"/.rnd* > /dev/null 2>&1
}
